Subject: bug#31247: fetching an svn repository always results in a different hash

From: Julien Lepiller <[email-masked]>
Date: Tue, 24 Apr 2018 22:40:21 +0200

Le Mon, 23 Apr 2018 14:41:53 -0400,
Leo Famulari <[email-masked]> a écrit :

> On Mon, Apr 23, 2018 at 05:44:08PM +0200, julien lepiller wrote:
> > Hi,
> > 
> > I'm trying to use svn-fetch in a new package, but I always get a
> > different hash when I try to download the sources. I think this is
> > due to fetching external resources. Here are two adresses that
> > trigger this bug:  
> 
> Can you try comparing the differences between the downloaded archives?
> The diffoscope program will be useful.

There are differences in .svn/wc.db. The top .svn directory is removed,
but there are other .svn directories that are not removed and contain a
wc.db file. In my case, src/lib/kStuff/.svn is kept intact and differs
every time.